Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED]Vmware overlay error emerging vmware-workstation 6.5
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
SeaTiger
l33t
l33t


Joined: 22 Nov 2007
Posts: 603
Location: Toronto, Ontario, Canada

PostPosted: Sat Apr 26, 2008 11:45 pm    Post subject: [SOLVED]Vmware overlay error emerging vmware-workstation 6.5 Reply with quote

I am trying to use vmware overlay and having problem emerging the vmware-workstation 6.5.

Code:
localhost ~ # emerge -av vmware-workstation
 * Overlay eclasses override eclasses from PORTDIR:
 *
 *   '/usr/portage/local/layman/vmware/eclass/vmware.eclass'
 *   '/usr/portage/local/layman/vmware/eclass/vmware-mod.eclass'
 *
 * It is best to avoid overridding eclasses from PORTDIR because it will
 * trigger invalidation of cached ebuild metadata that is distributed with
 * the portage tree. If you must override eclasses from PORTDIR then you
 * are advised to run `emerge --regen` after each time that you run `emerge
 * --sync`. Set PORTAGE_ECLASS_WARNING_ENABLE="0" in /etc/make.conf if you
 * would like to disable this warning.

These are the packages that would be merged, in order:

Calculating dependencies -!!! Digest verification failed:
!!! /usr/portage/local/layman/vmware/app-emulation/vmware-workstation/vmware-workstation-5.5.5.56455.ebuild
!!! Reason: Failed on RMD160 verification
!!! Got: 107f73d54c332cc095e22350aaa8bbd8a422392b
!!! Expected: c60e664a6bd748250c8bb98ad3b3638a1f409325
... done!
[ebuild  N    ] app-emulation/vmware-modules-1.0.0.11-r1  0 kB [1]
[ebuild  N    ] app-emulation/vmware-workstation-4.5.3.19414-r7  41,929 kB

Total: 2 packages (2 new), Size of downloads: 41,929 kB
Portage tree and overlays:
 [0] /usr/portage
 [1] /usr/portage/local/layman/vmware

Would you like to merge these packages? [Yes/No] n


eix give the following:
Code:

eix -c vmware
[N] app-emulation/vmware-dsp ((~)1.3): Allows you to use VMware Workstation with ESD and ARTS.
[N] app-emulation/vmware-esx-console ((~)2.5.3.24171!f): VMware ESX Remote Console for Linux
[N] app-emulation/vmware-gsx-console ((~)3.2.0.14497!f): VMware GSX Console for Linux
[N] app-emulation/vmware-modules ((~)1.0.0.19[1]): Modules for Vmware Programs
[N] app-emulation/vmware-player ((~)2.0.3.80004[1]): Emulate a complete PC on your PC without the usual performance overhead of most emulators
[N] app-emulation/vmware-server (1.0.5.80187[1]): VMware Server for Linux
[N] app-emulation/vmware-server-console ((~)1.0.5.80187-r1): VMware Remote Console for Linux
[N] app-emulation/vmware-workstation ((~)6.5.0.84113!f[1]): Emulate a complete PC on your PC without the usual performance overhead of most emulators
[N] app-emulation/vmware-workstation-tools (--): Guest-os tools for VMware Workstation
[N] app-emulation/vmware-esx-tools [1] ((~)3.0.1-r1): Guest-os tools for VMware ESX
[I] x11-drivers/xf86-video-vmware (10.15.2@04/26/2008): VMware SVGA video driver
[1] "vmware" /usr/portage/local/layman/vmware


Ths strange thing is it should be trying to pull 6.5, but the error is refering to 5.5. 8O
Anyone has idea how to fix?


Last edited by SeaTiger on Sun Apr 27, 2008 7:40 pm; edited 1 time in total
Back to top
View user's profile Send private message
SeaTiger
l33t
l33t


Joined: 22 Nov 2007
Posts: 603
Location: Toronto, Ontario, Canada

PostPosted: Sun Apr 27, 2008 7:40 pm    Post subject: Reply with quote

I come across another post (https://forums.gentoo.org/viewtopic-t-529895-postdays-0-postorder-asc-start-725.html) and find the answer by doing the ebuild digest manually fix the problem.
Code:
cd /usr/portage/local/layman/vmware/app-emulation/vmware-workstation
ebuild vmware-workstation-5.5.5.56455.ebuild digest
ebuild vmware-workstation-5.5.6.80404.ebuild digest
ebuild vmware-workstation-6.0.2.59824.ebuild digest
ebuild vmware-workstation-6.0.3.80004.ebuild digest
ebuild vmware-workstation-6.5.0.84113.ebuild digest
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum